using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [Tool]
  [GlobalClass]
  public partial class SetCharacterMoveSpeed:Action
  {
    [Export]
    public CharacterMovement characterMovement;

    [Export]
    public float characterMoveSpeed;

    protected override void _OnTrigger()
    {
      if ( characterMovement == null )
      {
        return;
      }
      
      characterMovement.moveSpeed = characterMoveSpeed;
    }
  }
}